
Foreman - Bug #13074

sprockets-rails dependency should not be in assets.rb only

01/08/2016 06:30 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Packaging   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3047

  

Description

#4629 partially undid the fix in #12977, by moving the sprockets-rails dependency out of the Gemfile and into assets.rb. 

sprockets-rails is a runtime dependency and so should stay in Gemfile.  #12977 was a runtime error in production.

The sprockets gem is also a runtime dependency, so should be in Gemfile rather than assets.rb.

Related issues:

Related to Foreman - Feature #4629: Add Patternfly support in foreman Closed 03/11/2014

Related to Foreman - Bug #12977: sprockets-rails 2.2.2 or higher is needed fo... Closed 01/04/2016

Associated revisions

Revision 24f70e14 - 01/12/2016 08:58 AM - Daniel Lobato Garcia

Fixes #13074 - sprockets-rails should be in Gemfile

dependency out of the Gemfile and into assets.rb. sprockets-rails is a

runtime dependency and so should stay in Gemfile. #12977 was a runtime

error in production.

The sprockets gem is also a runtime dependency, so should be in Gemfile

rather than assets.rb.

History

#1 - 01/08/2016 06:30 AM - Dominic Cleal

- Related to Feature #4629: Add Patternfly support in foreman added

#2 - 01/08/2016 06:30 AM - Dominic Cleal

- Related to Bug #12977: sprockets-rails 2.2.2 or higher is needed for production assets setup added

#3 - 01/10/2016 01:39 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/3047 added

#4 - 01/12/2016 09:03 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 24f70e14f1da00760b46ce2377db1147d849cf73.
